Skip to content
ShopentlyLearn

Changing payment status

Change an order’s recorded payment status, for example after confirming a bank transfer. Send the new status, current payment version and reason for the change.

PATCH/api/v1/orders/{order_id}/payment-status

cURL request

curl --disable --globoff --fail-with-body --silent --show-error \
  --proto '=https' --connect-timeout 5 --max-time 30 \
  --request PATCH \
  --url https://shop.onshopently.com/api/v1/orders/order-0000/payment-status \
  --header 'Authorization: Bearer EXAMPLE_ACCESS_TOKEN' \
  --header 'Idempotency-Key: example-adjust_payment_status_api_v1_orders__order_id__payment_status_patch' \
  --header 'Content-Type: application/json' \
  --data-raw '{"expected_version":0,"reason":"Bank transfer confirmed","status":"paid"}'

Response

{
  "data": {
    "deleted": false,
    "id": "payment-0000",
    "version": 2
  },
  "meta": {
    "request_id": "example"
  }
}

Required permissions

Authentication
Access token
Available from
BASIC
Key permission
Adjust payment statuspayments.payment:adjust_status